import request from '@/utils/request'

// 查询桩机指令下发历史列表
export function listMachineCmdHis(query) {
  return request({
    url: '/cons/machineCmdHis/list',
    method: 'get',
    params: query
  })
}

// 查询桩机指令下发历史详细
export function getMachineCmdHis(id) {
  return request({
    url: '/cons/machineCmdHis/' + id,
    method: 'get'
  })
}

// 新增桩机指令下发历史
export function addMachineCmdHis(data) {
  return request({
    url: '/cons/machineCmdHis',
    method: 'post',
    data: data
  })
}

// 修改桩机指令下发历史
export function updateMachineCmdHis(data) {
  return request({
    url: '/cons/machineCmdHis',
    method: 'put',
    data: data
  })
}

// 删除桩机指令下发历史
export function delMachineCmdHis(id) {
  return request({
    url: '/cons/machineCmdHis/' + id,
    method: 'delete'
  })
}
